%define name ming
%define version 0.3
%define release 0.beta1.2mdk

%define major	0
%define libname %mklibname %{name} %{major}

%define targets listfdb listmp3 listjpeg makefdb swftophp

Summary:	Ming - an SWF output library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}beta1.tar.bz2
Patch0:		ming-0.3beta1-soname.diff.bz2
Patch1:		ming-listmp3.c.patch.bz2
License:	LGPL
URL:		http://ming.sourceforge.net/
Group:		System/Libraries
BuildRequires:	zlib-devel
BuildRequires:	perl-devel
BuildRequires:	png-devel
BuildRequires:	ungif-devel
BuildRequires:	XFree86-devel
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Ming is a c library for generating SWF ("Flash") format movies. This 
package only contains the basic c-based library - not yet extensions for 
Python, Ruby, etc.

%package -n	%{libname}
Summary:	Ming - an SWF output library
Group:		System/Libraries

%description -n	%{libname}
Ming is a c library for generating SWF ("Flash") format movies.
This package only contains the basic c-based library - not yet
extensions for Python, Ruby, etc.

%package -n	%{libname}-devel
Summary:	Ming development files
Group:		Development/C
Requires:	zlib-devel
Requires:	perl-devel
Requires:	png-devel
Requires:	ungif-devel
Requires:	XFree86-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel
Provides:	%{name}-devel

%description -n	%{libname}-devel
The %{libname}-devel package contains the header files
and static libraries necessary for developing programs using the
%{libname}-devel library (C and C++)..

%package -n	perl-%{name}
Summary:	Ming perl module
Group:		Development/Perl
Requires:	%{libname} = %{version}-%{release}

%description -n	perl-%{name}
Ming perl module - perl wrapper for Ming library.

%package -n	%{name}-utils
Summary:	Ming utilities
Group:		File tools
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-utils
Ming utilities:
- listswf - swf format disassembler
- listfdb - show contents of fdb font file
- makefdb - rip fdb font definition files out of a generator template
  file
- swftophp - attempt to make a php/ming script out of an swf file

%prep

%setup -q -n %{name}-%{version}beta1
%patch0 -p0
%patch1 -p1

%build

pushd src
    make CFLAGS="%{optflags} -fPIC"
    make CFLAGS="%{optflags} -fPIC" static
popd

pushd util
#targets='listswf listfdb listmp3 listjpeg makefdb swftophp'
for i in %{targets}; do
    make CFLAGS="%{optflags}" \
    LIBS="-lz -lungif -lpng12 -lSM -lICE -L/usr/X11R6/lib -lX11" \
    $i
done
popd

pushd perl_ext
    CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
    make OPTIMIZE="%{optflags}"
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}

# install the utils
for i in %{targets}; do
    install -m0755 util/$i %{buildroot}%{_bindir}/
done

# install the perl extension
make -C perl_ext PREFIX=%{buildroot}%{_prefix} install

# install the shared library
install -m0755 libming.so %{buildroot}%{_libdir}/libming.so.%{version}
ln -snf libming.so.%{version} %{buildroot}%{_libdir}/libming.so.0
ln -snf libming.so.%{version} %{buildroot}%{_libdir}/libming.so

# install the static library and headers
install -m0755 libming.a %{buildroot}%{_libdir}/
install -m0644 src/ming.h %{buildroot}%{_includedir}/
install -m0644 src/ming_config.h %{buildroot}%{_includedir}/
install -m0644 mingpp.h %{buildroot}%{_includedir}/
mv %{buildroot}%{perl_vendorlib}/*/auto/SWF/include/perl_swf.h \
    %{buildroot}%{_includedir}/

# fix docs
cp perl_ext/README perl_ext.README
cp util/README util.README
chmod 644 CREDITS ChangeLog HISTORY INSTALL *README* TODO

# cleanup
rm -rf %{buildroot}%{perl_vendorlib}/*/auto/SWF/include

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc CREDITS ChangeLog HISTORY INSTALL README TODO
%attr(755,root,root) %{_libdir}/libming.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libming.so
%attr(755,root,root) %{_libdir}/libming.a
%{_includedir}/*

%files -n perl-%{name}
%defattr(-,root,root)
%doc perl_ext.README
%{perl_vendorlib}/*/*.pm
%{perl_vendorlib}/*/SWF
%{perl_vendorlib}/*/auto/SWF
%{_mandir}/man3*/SWF*

%files -n %{name}-utils
%defattr(644,root,root,755)
%doc util.README
%attr(755,root,root) %{_bindir}/*

%changelog
* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.2mdk
- misc spec file fixes
- drop P2, use spec file hack instead
- fix deps

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.1mdk
- 0.3beta1
- new url
- misc spec file fixes

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-6mdk
- use the %%mklibname  macro
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-5mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-4mdk
- rebuilt with gcc-3.2
- fix perl-ming for perl 5.8.0

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-3mdk
- rebuilt with gcc3.1

* Tue Apr 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-2mdk
- fixed the soname, thanks to Moritz Barsnick for pointing it out

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-1mdk
- initial cooker contrib
- used the spec file by Troels Arvin and by PLD for ideas.
- libified the whole stuff...

